/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package library;

import java.sql.SQLException;
import java.util.logging.Level;
import java.util.logging.Logger;

/**
 *
 * @author Agnieszka
 */
public class Book extends Item {

    private String authorName, authorSurname, publishing, ISBN;
    private Database d = new Database();

    Book() {
        //nothing to do   
    }

    Book(int id, String n, String an, String asn, String y, String isbn, String p, String c) {
        this.setId(id);
        this.setName(n);
        this.authorName = an;
        this.authorSurname = asn;
        try{
           this.setYear(Integer.parseInt(y));
        }
        catch(NumberFormatException e){
            this.setYear(0);
        }
        
        this.setCategory(c);
        this.ISBN = isbn;
        this.publishing = p;
    }

    public static Object[][] insertRowToTable(Object[][] tab, int r, Book b) {
        tab[r][0] = b.getId();
        tab[r][1] = b.getName();
        tab[r][2] = b.getAuthorName();
        tab[r][3] = b.getAuthorSurname();
        tab[r][4] = b.getYear();
        tab[r][5] = b.getISBN();
        tab[r][6] = b.getPublishing();
        tab[r][7] = b.getCategory();
        return tab;
    }

    @Override
    public void insertToDB() throws SQLException {
        try {
            d.insertBookQ(this);
        } catch (SQLException ex) {
            throw new SQLException("Error dodawania ksiazki");
        }
    }

    @Override
    public void delFromDB()  throws SQLException  {
        d.deleteQ(this);
    }

    @Override
    public void editInDB()  throws SQLException {
        d.updateQ(this);
    }

    public void setPublishing(String s) {
        this.publishing = s;
    }

    public void setAuthorName(String s) {
        this.authorName = s;
    }

    public void setAuthorSurname(String s) {
        this.authorSurname = s;
    }

    public void setISBN(String s) {
        this.ISBN = s;
    }

    public String getAuthorName() {
        return this.authorName;
    }

    public String getAuthorSurname() {
        return this.authorSurname;
    }

    public String getPublishing() {
        return this.publishing;
    }

    public String getISBN() {
        return this.ISBN;
    }

}
